콘텐츠로 건너뛰기

FFmpeg API [Merge Audios]

통합

모델 id ffmpeg-api/merge-audios
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ffmpeg-api/merge-audios?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audios": [
      "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
      "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

실행당 최대 $0.306 실제 사용량에 따라 과금되며 나머지는 환불됩니다 이 페이지에서 실행

API 키 받기
Utility 오디오 #ffmpeg

2~5개의 오디오 파일을 순서대로 하나의 파일로 연결하며 출력 코덱과 레이트를 선택할 수 있습니다

Utility · 오디오

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수 audio_urls
파일을 끌어다 놓거나 · 최대 5개

오디오 URL로 지정하는 병합 순서이며, 나열된 각 파일에서 스트림 0을 사용합니다.

고급 output_format

결합된 오디오의 출력 형식이며 codec_sample_rate_bitrate로 지정합니다. 생략하면 FFMPEG가 형식을 자동으로 결정합니다.

POST /run/ffmpeg-api/merge-audios?wait=20 견적 → $0.306
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ffmpeg-api/merge-audios?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audios": [
      "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
      "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

FFmpeg API [Merge Audios] 정보

`audio_urls`에 나열된 오디오 파일을 지정된 순서대로 단일 트랙으로 병합합니다. URL은 2~5개까지 허용됩니다. `output_format`은 코덱, 샘플 레이트 및 비트레이트를 선택하며 mp3, pcm, ulaw, alaw 및 opus 옵션을 지원합니다. 생략하면 형식이 자동으로 선택됩니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
audio_urls필수 audios
유형url[] · audio
≤ 5개 항목≥ 2개 항목
오디오 URL로 지정하는 병합 순서이며, 나열된 각 파일에서 스트림 0을 사용합니다.
output_format선택 사항
유형enum
mp3_22050_32mp3_44100_32mp3_44100_64mp3_44100_96mp3_44100_128mp3_44100_192pcm_8000pcm_16000pcm_22050pcm_24000pcm_44100pcm_48000ulaw_8000alaw_8000opus_48000_32opus_48000_64
+3개 더 보기opus_48000_96opus_48000_128opus_48000_192
결합된 오디오의 출력 형식이며 codec_sample_rate_bitrate로 지정합니다. 생략하면 FFMPEG가 형식을 자동으로 결정합니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ffmpeg-api/merge-audios",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 306,
    "usd": "0.306",
    "charged": 306,
    "refunded": 0
  },
  "input": {
    "audio_urls": [
      "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
      "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
    ]
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
audio
object {url, content_type, file_name, file_size}병합으로 생성된 오디오 파일입니다.

더 많은 모델: 오디오

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/ffmpeg-api/merge-audios.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt